#!/bin/bash
if [ "$(cat /etc/konahqss/mode)" != "normal" ] && [ "$(cat /etc/konahqss/mode)" != "clear" ]; then
  exit
fi
if [ -z "$(which systemctl 2> /dev/null)" ]; then
  exit
fi
sleep 10
if [ -z "$(pgrep pulseaudio)" ] && [ -z "$(pgrep pipewire)" ]; then
  exit
fi
if [ ! -z "$(pgrep pulseaudio)" ]; then
  systemctl --user restart pulseaudio
  echo "Restart pulseaudio" >> /etc/konahqss/log
elif [ ! -z "$(pgrep pipewire)" ]; then
  systemctl --user restart pipewire
  echo "Restart pipewire" >> /etc/konahqss/log
fi
